
Django Site Utils - Feature #2598

Site Dump Management Command

2012-12-12 23:21 - Chris Church

Status: Assigned Start date: 2012-12-12

Priority: Normal Due date:  

Assignee: Chris Church % Done: 90%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Implement site_dump command and documentation.  This management command is intended to be an enhanced version of the

existing dumpdata command with at least the following enhancements:

Use natural keys by default.

Output a model's natural key alongside the primary key.

Create an archive containing media files alongside the serialized database records.

Better handling of model inheritance (dump all fields vs. only local ones).

Associated revisions

Revision 12 - 2013-02-18 05:11 - Chris Church

re #2598 Work in progress on site_dump command.

Revision 13 - 2013-02-19 03:59 - Chris Church

re #2598 Finished site_dump command and tests.

Revision 14 - 2013-02-19 05:04 - Chris Church

re #2598 Fixes to make all tox tests pass.

Revision 15 - 2013-02-19 05:05 - Chris Church

re #2598 Bump version to 0.1a3.

History

#1 - 2013-02-19 05:07 - Chris Church

- Status changed from New to Assigned

- Assignee set to Chris Church

- % Done changed from 0 to 90
